C# methods not returning

Can anyone enlighten me as to why when i try the return values for the method dims_regular, dims_staggered and GeometryCreate are not registering.

private void RunScript(string u, List x, List y, List z, double v, ref object A, ref object B, ref object C, ref object D, ref object E, ref object F)
{

//Number of Aircraft Per Row
double Row1Length = (x.Count) / 2;
`indent preformatted text by 4 spaces`
int value;
if(int.TryParse(Row1Length, out value))
{
  Convert.ToInt32(Row1Length);
  int Row2Length = Row1Length;
}
else
{
  int Row1Length = Math.Ceiling(Row1Length);
  int Row2Length = Math.Floor(Row1Length);
}

//Which Arrangement Type?
if ( u == "regular")
{
  var result = dims_regular(u, x, y, z, v, Row1Length, Row2Length);
}
else if ( u == "staggered")
{
  var result = dims_staggered(u, x, y, z, v, Row1Length, Row2Length);
}
else
{
  Print("arrangement type is incorrect");
}

A = result.XPositions;
B = result.YPositions;
C = result.LengthX;
D = result.LengthY;
E = result.Height;
F = GeometryCreate(C, D, E);

}

//
class DeclareVariables
{
List PlaneXPositions = new List();
List PlaneYPositions = new List();
double InitialEdgeDistanceX = 7.5;
double InitialEdgeDistanceY = 10;
}

class Result
{
public List XPositions;
public List YPositions;
public double LengthX;
public double LengthY;
public double Height;
}

private static dims_regular(List u, List x, List y, List z, double InitialPlaneSpacingX, int Row1Length, int Row2Length)
{
DeclareVariables();

for (int i = 0; i < imax; i++)
{
  if (i == 0)
  {
    PlaneXPositions.Add(InitialEdgeDistanceX + x[i] / 2);
    PlaneYPositions.Add(InitialEdgeDistanceY + y[i] / 2 + y[Row1Length]);
  }
  else if (i < Row1Length)
  {
    PlaneXPositions.Add(PlaneXPositions[i - 1] + x[i - 1] / 2 + InitialPlaneSpacingX + x[i] / 2);
    PlaneYPositions.Add(PlaneYPositions[i - 1]);
  }
  else if (i == Row1Length)
  {
    PlaneXPositions.Add(PlaneXPositions[i - Row1Length]);
    PlaneYPositions.Add(InitialEdgeDistanceY + y[i] / 2);
  }
  else
  {
    PlaneXPositions.Add(PlaneXPositions[i - Row1Length]);
    PlaneYPositions.Add(PlaneYPositions[i - 1]);
  }
}

double InitialHangerLengthX = PlaneXPositions[Row1Length - 1] + x[Row1Length - 1] / 2 + InitialEdgeDistanceX;
double InitialHangerLengthY = PlaneYPosition[0] + y[0] / 2 + InitialEdgeDistanceY;
double HangerHeight = z.max();

var result = new Result
  {
    XPositions = PlaneXPositions,
    YPositions = PlaneYPositions,
    LengthX = InitialHangerLengthX,
    LengthY = InitialHangerLengthY,
    Height = HangerHeight,
    };

return result;

}

private static dims_staggered(List u, List x, List y, List z, double InitialPlaneSpacingX, int Row1Length, int Row2Length)
{
DeclareVariables();

for (int i = 0; i < imax; i++)
{
  if (i == 0)
  {
    PlaneXPositions.Add(InitialEdgeDistanceX + x[i] / 2);
    PlaneYPositions.Add(InitialEdgeDistanceY + y[i] / 2 + y[Row1Length]);
  }
  else if (i < Row1Length)
  {
    PlaneXPositions.Add(PlaneXPositions[i - 1] + x[i - 1] / 2 + InitialPlaneSpacingX + x[i] / 2);
    PlaneYPositions.Add(PlaneYPositions[i - 1]);
  }
  else if (i == Row1Length)
  {
    PlaneXPositions.Add((PlaneXPositions[i - Row1Length] + PlaneXPositions[i - Row1Length + 1]) / 2);
    PlaneYPositions.Add(InitialEdgeDistanceY + y[i] / 2);
  }
  else
  {
    PlaneXPositions.Add((PlaneXPositions[i - Row1Length] + PlaneXPositions[i - Row1Length + 1]) / 2);
    PlaneYPositions.Add(PlaneYPositions[i - 1]);
  }
}
double InitialHangerLengthX = PlaneXPositions[Row1Length - 1] + x[Row1Length - 1] / 2 + InitialEdgeDistanceX;
double InitialHangerLengthY = PlaneYPosition[0] + y[0] / 2 + InitialEdgeDistanceY;
double HangerHeight = z.max();

var result = new Result
  {
    XPositions = PlaneXPositions,
    YPositions = PlaneYPositions,
    LengthX = InitialHangerLengthX,
    LengthY = InitialHangerLengthY,
    Height = HangerHeight,
    };

return result;

}

private static GeometryCreate(double InitialHangerLengthX, double InitialHangerLengthY, double HangerHeight)
{
List Geometry = new List();
Rhino.Geometry.Point3d pt0 = new Rhino.Geometry.Point3d(0, 0, 0); Geometry.Add(pt0);
Rhino.Geometry.Point3d pt1 = new Rhino.Geometry.Point3d(InitialHangerLengthX, 0, 0);Geometry.Add(pt1);
Rhino.Geometry.Point3d pt2 = new Rhino.Geometry.Point3d(0, InitialHangerLengthY, 0);Geometry.Add(pt2);
Rhino.Geometry.Plane refplane = new Rhino.Geometry.Plane(pt0, pt1, pt2);
Rhino.Geometry.Interval intervalx = new Rhino.Geometry.Interval(0, InitialHangerLengthX);
Rhino.Geometry.Interval intervaly = new Rhino.Geometry.Interval(0, InitialHangerLengthY);
Rhino.Geometry.Interval intervalz = new Rhino.Geometry.Interval(0, HangerHeight);
Rhino.Geometry.Box InitialHanger = new Rhino.Geometry.Box(refplane, InitialHangerLengthX, InitialHangerLengthY, HangerHeight); Geometry.Add(InitialHanger);
return Geometry;
}

Your three functions are lacking a return type in their declarations.

private static return-type function-name(..

Put where return-type is the type of the value you are returning for each respective function.